## org.apache.http.impl.cookie
Class NetscapeDomainHandler

    java.lang.Object
      org.apache.http.impl.cookie.BasicDomainHandler
          org.apache.http.impl.cookie.NetscapeDomainHandler

All Implemented Interfaces:
  CookieAttributeHandler

    @Immutable
    public class NetscapeDomainHandler

extends BasicDomainHandler

Since:
  4.0

Constructor Summary
`NetscapeDomainHandler()`

Method Summary
`boolean` `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
`void` `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

Methods inherited from class org.apache.http.impl.cookie.BasicDomainHandler
`parse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NetscapeDomainHandler

    public NetscapeDomainHandler()

Method Detail

### validate

    public void validate(Cookie cookie,
                         CookieOrigin origin)
                  throws MalformedCookieException

  Description copied from interface: `CookieAttributeHandler`
  Peforms cookie validation for the given attribute value.

  Specified by:
    `validate` in interface `CookieAttributeHandler`
  Overrides:
    `validate` in class `BasicDomainHandler`
  Parameters:
    `cookie` - `Cookie` to validate
    `origin` - the cookie source to validate against
  Throws:
    `MalformedCookieException` - if cookie validation fails for this attribute

### match

    public boolean match(Cookie cookie,
                         CookieOrigin origin)

  Description copied from interface: `CookieAttributeHandler`
  Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.

  Specified by:
    `match` in interface `CookieAttributeHandler`
  Overrides:
    `match` in class `BasicDomainHandler`
  Parameters:
    `cookie` - `Cookie` to match
    `origin` - the cookie source to match against
  Returns:
    `true` if the match is successful; `false` otherwise

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.